package cn.hmsoft.weixin.entity.response;

import java.util.List;

import cn.hmsoft.weixin.entity.response.material.News;

public class MaterialNewsResponseJson extends WxResponseJson {
	private int total_count;
	private int item_count;

	public class Content {
		private List<News> news_item;

		public List<News> getNews_item() {
			return news_item;
		}

		public void setNews_item(List<News> news_item) {
			this.news_item = news_item;
		}

	}

	public class Item {
		private String media_id;
		private Content content;
		private Long update_time;

		public String getMedia_id() {
			return media_id;
		}

		public void setMedia_id(String media_id) {
			this.media_id = media_id;
		}

		public Content getContent() {
			return content;
		}

		public void setContent(Content content) {
			this.content = content;
		}

		public Long getUpdate_time() {
			return update_time;
		}

		public void setUpdate_time(Long update_time) {
			this.update_time = update_time;
		}
	}

	private List<Item> item;

	public List<Item> getItem() {
		return item;
	}

	public void setItem(List<Item> item) {
		this.item = item;
	}

	public int getTotal_count() {
		return total_count;
	}

	public void setTotal_count(int total_count) {
		this.total_count = total_count;
	}

	public int getItem_count() {
		return item_count;
	}

	public void setItem_count(int item_count) {
		this.item_count = item_count;
	}

}
